require 'spec_helper'

describe MashTournamentsController do
  describe "routing" do
    it "recognizes and generates #index" do
      { :get => "/mash_tournaments" }.should route_to(:controller => "mash_tournaments", :action => "index")
    end

    it "recognizes and generates #new" do
      { :get => "/mash_tournaments/new" }.should route_to(:controller => "mash_tournaments", :action => "new")
    end

    it "recognizes and generates #show" do
      { :get => "/mash_tournaments/1" }.should route_to(:controller => "mash_tournaments", :action => "show", :id => "1")
    end

    it "recognizes and generates #edit" do
      { :get => "/mash_tournaments/1/edit" }.should route_to(:controller => "mash_tournaments", :action => "edit", :id => "1")
    end

    it "recognizes and generates #create" do
      { :post => "/mash_tournaments" }.should route_to(:controller => "mash_tournaments", :action => "create") 
    end

    it "recognizes and generates #update" do
      { :put => "/mash_tournaments/1" }.should route_to(:controller => "mash_tournaments", :action => "update", :id => "1") 
    end

    it "recognizes and generates #destroy" do
      { :delete => "/mash_tournaments/1" }.should route_to(:controller => "mash_tournaments", :action => "destroy", :id => "1") 
    end
  end
end
